
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops toolbox clusterapi generate machinedeployment

Generate a MachineDeployment configuration

### Synopsis

Add nodes to a cluster by generating a MachineDeployment configuration.

```
kops toolbox clusterapi generate machinedeployment [CLUSTER] [flags]
```

### Examples

```
  kops toolbox clusterapi generate machinedeployment --name k8s-cluster.example.com --name machinedeployment1 --replicas 2 | kubectl apply -f -
```

### Options

```
      --cluster string         Name of cluster to join
  -h, --help                   help for machinedeployment
      --image string           Image for the MachineDeployment (if not specified, an arbitrary image from the instance groups will be used)
      --instance-type string   Instance type for the MachineDeployment (if not specified, an arbitrary instance type from the instance groups will be used)
      --name string            Name of MachineDeployment (and other objects) to create
      --namespace string       Namespace for objects (default "kube-system")
      --replicas int           Number of replicas for MachineDeployment (default 1)
      --subnet string          Subnet for the MachineDeployment (if not specified, an arbitrary subnet from the instance groups will be used)
      --zones stringArray      Zones for the MachineDeployment (if not specified, will be deployed to all discovered zones in the cluster)
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops toolbox clusterapi generate](kops_toolbox_clusterapi_generate.md)	 - Generate clusterapi configurations

